// cteam 039

#include <cstdio>
#include <cstdlib>
#include <cmath>
struct Line 
{
    Line ()
    {
        x1 = 0;
        y1 = 0;
        x2 = 0;
        y2 = 0;
    }
    bool liesInside(double tmpX, double tmpY)
    {
	if ( tmpX - x2 > 1E-7 || x1 - tmpX > 1E-7 || 
		tmpY - y2 > 1E-7 || y1 - tmpY > 1E-7 )
		return false;
	return true;
	}
	bool goodInX(Line other)
	{
		if (x1 <= other.x1 && x2>= other.x2)
		{
			return true;
		} 
		return false;
	}
		bool goodInY(Line other)
	{
		if (y1 <= other.y1 && y2>= other.y2)
		{
			return true;
		} 
		return false;
	}
    bool intersect (Line other)
    {
        if((goodInX(other) || other.goodInX(*this)) && goodInY(other) || other.goodInY(*this) )
	
		return true;

	return false;	
	
    }
    void set (int inx1, int iny1, int inx2, int iny2)
    {
        x1 = inx1;
        y1 = iny1;
        x2 = inx2;
        y2 = iny2;
	int tmp;
	if (x1 > x2)
	{
		tmp = x1;
		x1 = x2;
		x2 = tmp;
	}
	if (y1 > y2)
	{
		tmp = y1;
		y1 = y2;
		y2 = tmp;
	}
	if (x1 == x2 && y1 == y2)
	{
		point = true;
	}
	else if (x1 == x2 )
	{
		a = 0;
		point = false;
		b = y1 -x1 * a;
	} else
	{
		point = false;
		a = (y1 - y2)/(x1 - x2);
		b = y1 -x1 * a;
	}
    }
    int x1, y1, x2, y2;
    double a, b;
    bool point;
};

void solveProblem (int n)
{
    int way = 0; // up = 0, right = 1, down = 2, left = 3
    int currX = 0, currY = 0;
    int prevX = 0, prevY = 0;
    bool first = true;
    Line prevU, prevR, prevD, prevL, newU, newR, newD, newL;
    for (int i = 0; i < n; i++) {
        prevX = currX;
        prevY = currY;
        int recent;
        scanf ("%d", &recent);
        switch (way)
        {
            case 0:
                currY += recent;
                newU.set (prevX, prevY, currX, currY);
                if (first) {
                    first = false;
                } else {
                    if (newU.intersect (prevR) || newU.intersect (prevL)) {
                        printf ("%d\n", i);
                        return;
                    }
                }
                prevL = newL;
                break;
            case 1:
                currX += recent;
                newR.set (prevX, prevY, currX, currY);
                if (newR.intersect (prevD) || newR.intersect (prevU)) {
                    printf ("%d\n", i);
                    return;
                }
                prevU = newU;
                break;
            case 2:
                currY -= recent;
                newD.set (prevX, prevY, currX, currY);
                if (newD.intersect (prevL) || newD.intersect (prevR)) {
                    printf ("%d\n", i);
                    return;
                }
                prevR = newR;
                break;
            case 3:
                currX -= recent;
                newL.set (prevX, prevY, currX, currY);
                if (newL.intersect (prevU) || newL.intersect (prevD)) {
                    printf ("%d\n", i);
                    return;
                }
                prevD = newD;
                break;
        }
    }
    printf ("OK\n");
}

int main (void) {
    int n;
    while (scanf ("%d", &n) == 1) {
        solveProblem (n);
    }
    return 0;
}
