#include <cstdio>
#include <cstdlib>
#include <cmath>

void solveNumber(int number)
{
	int results[18];
	for (int i =0; i< 18;++i)
		results[i] = 0;
	while( number != 0)
	{
		int tmp = (int)(log (number)/log(3));
		results[tmp] = number / pow(3,tmp);
		number = number % (int) pow(3,tmp);
	}
	int i = 17;
	while (results[i] ==0 && i >= 0)
	{
		--i;
	}
	printf("%d", results[i]);
	for (i -= 1; i >=0; --i)
	{
		printf(" %d", results[i]);
	}
	printf("\n");
}

int main(void)
{
	int testCases, number;
	
	scanf("%d", &testCases);
	
	for(int i = 0; i < testCases; ++i)
	{
		scanf("%d",&number);
		solveNumber(number);
	}
	
	return 0;
}